﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

using Infragistics.Windows.DockManager;

using System.Data;
using System.Data.SqlClient;
using Infragistics.Windows.DataPresenter;
using System.IO;
using Infragistics.Windows.Ribbon;
using System.Collections.ObjectModel;
using System.Data.SqlTypes;
using System.Xml;
using Infragistics.Windows.Editors;
using Microsoft.Win32;
// using iAnywhere.Data.AsaClient;

namespace VSS2XGUI
{
    /// <summary>
    /// Interaction logic for Window1.xaml
    /// </summary>
    /// 
 

    public partial class MainScreen : Infragistics.Windows.Ribbon.XamRibbonWindow
    {
        protected DataView DBDataView;        

        public MainScreen()
        {
            InitializeComponent();
        }

        protected void Window_Loaded(object sender, RoutedEventArgs e)
        {
            Application.Current.ShutdownMode = ShutdownMode.OnMainWindowClose;
        }


        private void ButtonNewUsersWindows_Click(object sender, RoutedEventArgs e)
        {
            ProfilerTimer Timer = new ProfilerTimer("MainScreen::ButtonNewUsersWindows_Click");

            ProfilerTimer DetailsTimer = new ProfilerTimer("ContentPane contentPane = new ContentPane();");
            ContentPane contentPane = new ContentPane();
            DetailsTimer.Stop();

            DetailsTimer.Start("UsersContentControl ContentCtrl = new UsersContentControl();");
            UsersContentControl ContentCtrl = new UsersContentControl();
            DetailsTimer.Stop();

            DetailsTimer.Start("contentPane.Content = ContentCtrl;");
            contentPane.Content = ContentCtrl;
            DetailsTimer.Stop();

            DetailsTimer.Start("contentPane.Header = \"User Accounts\";");
            contentPane.Header = "User Accounts";
            DetailsTimer.Stop();

            // Add the content pane to the tab group, get the date and activate the tab
            DetailsTimer.Start("tabGroupPaneMainContent.Items.Add(contentPane);");
            tabGroupPaneMainContent.Items.Add(contentPane);
            DetailsTimer.Stop();

            DetailsTimer.Start("ContentCtrl.RefreshData();");
            bool fDontAssignDatasourceToGrid = false;
            ContentCtrl.RefreshData(fDontAssignDatasourceToGrid);
            DetailsTimer.Stop();

            DetailsTimer.Start("contentPane.Activate();");
            contentPane.Activate();
            DetailsTimer.Stop();


            Timer.Stop();

        }


        //
        // Below only empty event handlers  -  no relevant code 
        //
        private void ComponentsFilterCheckBoxChanged(object sender, RoutedEventArgs e)
        {
 
        }

        private void StockMovementFiltersCheckBoxChanged(object sender, RoutedEventArgs e)
        {

        }

        private void ButtonColumns_Click(object sender, RoutedEventArgs e)
        {
  
        }

        private void ButtonSaveLayout_Click(object sender, RoutedEventArgs e)
        {


        }

        private void ButtonSearch_Click(object sender, RoutedEventArgs e)
        {

        }

        private void ButtonClearSearch_Click(object sender, RoutedEventArgs e)
        {

        }

        private void ButtonRefresh_Click(object sender, RoutedEventArgs e)
        {

        }

        private void ComboLayouts_SelectedItemChanged(object sender, RoutedPropertyChangedEventArgs<object> e)
        {

        }

        private void ButtonDelLayout_Click(object sender, RoutedEventArgs e)
        {

        }

        private void ButtonNewTableDialog_Click(object sender, RoutedEventArgs e)
        {
            TableDialog TableDlg = new TableDialog();
            TableDlg.ShowDialog();
        }

        private void ButtonNewWindowWithoutDatasource_Click(object sender, RoutedEventArgs e)
        {
            ProfilerTimer Timer = new ProfilerTimer("MainScreen::ButtonNewWindowWithoutDatasource_Click");

            ProfilerTimer DetailsTimer = new ProfilerTimer("ContentPane contentPane = new ContentPane();");
            ContentPane contentPane = new ContentPane();
            DetailsTimer.Stop();

            DetailsTimer.Start("UsersContentControl ContentCtrl = new UsersContentControl();");
            UsersContentControl ContentCtrl = new UsersContentControl();
            DetailsTimer.Stop();

            DetailsTimer.Start("contentPane.Content = ContentCtrl;");
            contentPane.Content = ContentCtrl;
            DetailsTimer.Stop();

            DetailsTimer.Start("contentPane.Header = \"User Accounts\";");
            contentPane.Header = "User Accounts";
            DetailsTimer.Stop();

            // Add the content pane to the tab group, get the date and activate the tab
            DetailsTimer.Start("tabGroupPaneMainContent.Items.Add(contentPane);");
            tabGroupPaneMainContent.Items.Add(contentPane);
            DetailsTimer.Stop();

            DetailsTimer.Start("ContentCtrl.RefreshData();");
            bool fDontAssignDatasourceToGrid = true;
            ContentCtrl.RefreshData(fDontAssignDatasourceToGrid);
            DetailsTimer.Stop();

            DetailsTimer.Start("contentPane.Activate();");
            contentPane.Activate();
            DetailsTimer.Stop();


            Timer.Stop();
        }

        private void ButtonNewItem_Click(object sender, RoutedEventArgs e)
        {

        }

        private void ButtonCloneItem_Click(object sender, RoutedEventArgs e)
        {

        }

        private void ButtonEditItem_Click(object sender, RoutedEventArgs e)
        {

        }

        private void ButtonCopyItem_Click(object sender, RoutedEventArgs e)
        {

        }

        private void ButtonPasteItem_Click(object sender, RoutedEventArgs e)
        {

        }

        private void ButtonCutItem_Click(object sender, RoutedEventArgs e)
        {

        }

        private void ButtonNewDistributorsWindow_Click(object sender, RoutedEventArgs e)
        {

        }

        private void ButtonNewCurrenciesWindow_Click(object sender, RoutedEventArgs e)
        {

        }

        private void ButtonNewStockMovementWindow_Click(object sender, RoutedEventArgs e)
        {

        }

        private void ToggleButtonRowFilteringOnOff_Checked(object sender, RoutedEventArgs e)
        {

        }

        private void ToggleButtonRowFilteringOnOff_Unchecked(object sender, RoutedEventArgs e)
        {

        }

        private void ButtonNewProductionWindows_Click(object sender, RoutedEventArgs e)
        {

        }

        private void ButtonNewProduction_Click(object sender, RoutedEventArgs e)
        {

        }

        private void ButtonPrint_Click(object sender, RoutedEventArgs e)
        {

        }

        private void ButtonPrintPreview_Click(object sender, RoutedEventArgs e)
        {

        }

        private void ButtonExcelExport_Click(object sender, RoutedEventArgs e)
        {
 
        }

        private void ButtonNewVersion_Click(object sender, RoutedEventArgs e)
        {

        }

        private void ButtonDelVersion_Click(object sender, RoutedEventArgs e)
        {

        }

        private void TextBoxSearch_PreviewKeyUp(object sender, KeyEventArgs e)
        {
            if (e.Key == Key.Enter)
            {
                MessageBox.Show("ENTER-Key catched by TextBoxSearch_PreviewKeyUp - Event-Hanlder", "TextEditorTool got ENTER");
            }
        }

        private void TextBoxSearch_KeyUp(object sender, KeyEventArgs e)
        {
            if (e.Key == Key.Enter)
            {
                MessageBox.Show("ENTER-Key catched by TextBoxSearch_KeyUp - Event-Hanlder", "TextEditorTool got ENTER");
            }
        }
    }
}

