﻿/*--------------------------------------------------------------*/
/* Date created Dienstag, 2. Juni 2009                          */
/* Created by Markus Hofer                                      */
/*--------------------------------------------------------------*/

using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Collections.ObjectModel;
using System.Data;
// using iAnywhere.Data.AsaClient;

namespace VSS2XGUI
{
    public class UsersContentControl : BaseContentControl
    {
        public UsersContentControl() :  base()
        {
            ProfilerTimer Timer = new ProfilerTimer("UsersContentControl::UsersContentControl");

          
            string ScreenName = "UserScreen";
            mDataSetName = ScreenName + "DataSet";
            mDataTableName = ScreenName + "DataTable";

            mDBDataSet = new DataSet(mDataSetName);
          

            // Metadata used in control 
            ObservableCollection<CColumnProperty> CompColMetaData = new ObservableCollection<CColumnProperty>();

            
            CompColMetaData.Add(new CColumnProperty("AccountId", "AccountId", false, false));
            CompColMetaData.Add(new CColumnProperty("Type", "Type", false, false));
            CompColMetaData.Add(new CColumnProperty("AccountId_Group", "AccountId_Group", false, false));
            CompColMetaData.Add(new CColumnProperty("FirstName", "FirstName", true, false));
            CompColMetaData.Add(new CColumnProperty("LastName", "LastName", true, false));
            CompColMetaData.Add(new CColumnProperty("ShortName", "ShortName", false, false));
            CompColMetaData.Add(new CColumnProperty("Username", "Username", true, false));
            CompColMetaData.Add(new CColumnProperty("Password", "Password", false, false));
            CompColMetaData.Add(new CColumnProperty("GroupName", "GroupName", true, false));
            CompColMetaData.Add(new CColumnProperty("Location", "Location", true, false));
            CompColMetaData.Add(new CColumnProperty("Tel", "Tel", false, false, 1, false));
            CompColMetaData.Add(new CColumnProperty("EMail", "EMail", false, false, 2, false));
            CompColMetaData.Add(new CColumnProperty("Info", "Info", false, false));
            CompColMetaData.Add(new CColumnProperty("State", "State", false, false));
            CompColMetaData.Add(new CColumnProperty("Protection", "Protection", false, false));
            CompColMetaData.Add(new CColumnProperty("LogoutTimeout", "LogoutTimeout", false, false));
            CompColMetaData.Add(new CColumnProperty("ShiftAttach", "ShiftAttach", false, false));
            CompColMetaData.Add(new CColumnProperty("AddIntInfo1", "AddIntInfo1", false, false));
            CompColMetaData.Add(new CColumnProperty("AddIntInfo2", "AddIntInfo2", false, false));
            CompColMetaData.Add(new CColumnProperty("AddStrInfo1", "AddStrInfo1", false, false));
            CompColMetaData.Add(new CColumnProperty("AddStrInfo2", "AddStrInfo2", false, false));

            CompColMetaData.Add(new CColumnProperty("CDate", "CDate", false, false));
            CompColMetaData.Add(new CColumnProperty("MDate", "MDate", false, false));
            CompColMetaData.Add(new CColumnProperty("CUser", "CUser", false, false));
            CompColMetaData.Add(new CColumnProperty("MUser", "MUser", false, false));
                         
            ColumnMetaData = CompColMetaData;

            Timer.Stop();
        }




    }
}

